Bug 182431 - [Maintainer] math/giacxcas fixes for FreeBSD 10
[Maintainer] math/giacxcas fixes for FreeBSD 10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Matthew Seaman
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 07:20 UTC by han
Modified: 2014-02-02 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.00 KB, patch)
2013-09-27 07:20 UTC, han
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description han 2013-09-27 07:20:01 UTC
I was reported the followinf pkg-fallout:
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-26_00h44m15s/logs/giacxcas-1.1.0.log

-add USE_GCC, and some other dependancies.
-Then, there was problems with NTL 6.0. I asked upstream and was reported that they didn't try this version yet so I have disable NTL for freebsd10 only.

Fix: Patch attached with submission follows:
Comment 1 Frank Wall 2014-01-30 23:08:12 UTC
Hi,

I did a test run for your submission and added staging support:

Repository:        https://redports.org/changeset/22535 (original submission)
Repository:        https://redports.org/changeset/22537 (staging support)
Port:              math/giacxcas 1.1.0_2

      Buildgroup:     10-CURRENT/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fraenki/20140130170800-7962-173195/giacxcas-1.1.0_2.log

      Buildgroup:     9.2-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fraenki/20140130170800-7962-173196/giacxcas-1.1.0_2.log

      Buildgroup:     8.4-RELEASE/amd64
      Buildstatus:   SUCCESS
      Log: https://redports.org//~fraenki/20140130170800-7962-173197/giacxcas-1.1.0_2.log


It looks good to me.


Regards
- Frank
Comment 2 Matthew Seaman freebsd_committer 2014-02-02 09:05:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->matthew

take
Comment 3 dfilter freebsd_committer 2014-02-02 22:31:18 UTC
Author: matthew
Date: Sun Feb  2 22:31:11 2014
New Revision: 342370
URL: http://svnweb.freebsd.org/changeset/ports/342370
QAT: https://qat.redports.org/buildarchive/r342370/

Log:
  Fix build on 10.x
  
  While here:
  
     * Stagify
     * stage-qa fixes: USE shebangfix desktop-file-utils
  
  PR:		182431
  Submitted by:	Han Frederic (maintainer)

Modified:
  head/math/giacxcas/Makefile

Modified: head/math/giacxcas/Makefile
==============================================================================
--- head/math/giacxcas/Makefile	Sun Feb  2 22:20:34 2014	(r342369)
+++ head/math/giacxcas/Makefile	Sun Feb  2 22:31:11 2014	(r342370)
@@ -3,7 +3,7 @@
 
 PORTNAME=	giacxcas
 PORTVERSION=	1.1.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	math
 MASTER_SITES=	http://www-fourier.ujf-grenoble.fr/~parisse/giac/freebsd/ \
 		http://www.math.jussieu.fr/~han/xcas/sources/
@@ -18,6 +18,8 @@ LICENSE=	GPLv3
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
 		${LOCALBASE}/lib/libntl.a:${PORTSDIR}/math/ntl
 LIB_DEPENDS=	libgmp.so:${PORTSDIR}/math/gmp \
+		libpng.so:${PORTSDIR}/graphics/png \
+                libjpeg.so:${PORTSDIR}/graphics/jpeg \
 		libpari.so:${PORTSDIR}/math/pari \
 		libmpfr.so:${PORTSDIR}/math/mpfr \
 		libgsl.so:${PORTSDIR}/math/gsl \
@@ -30,12 +32,13 @@ USE_GL=		gl
 USE_XORG=	xcursor xft xi
 USE_TEX=	latex:build dvipsk:build
 USE_LDCONFIG=	yes
-USES=		gettext gmake
-
+USES=		gettext gmake shebangfix desktop-file-utils
+USE_GCC=	yes
 DOCSDIR=	${PREFIX}/share/doc/giac
 PORTDOCS=	*
 DATADIR=	${PREFIX}/share/giac
 PORTDATA=	*
+SHEBANG_FILES=	src/pgiac
 
 CPPFLAGS+=	-I${FLTKDEV-GIAC} -I${COCOALIB-GIAC}/include -I${LOCALBASE}/include
 LDFLAGS+=	-L${FLTKDEV-GIAC}/lib -L${COCOALIB-GIAC}/lib -L${LOCALBASE}/lib
@@ -47,19 +50,27 @@ COCOALIB-GIAC=	${WRKDIR}/CoCoALib-0.9950
 
 INFO=		giac_es giac_us
 
-NO_STAGE=	yes
+.include <bsd.port.pre.mk>
+.if ${OSVERSION} >= 1000000
+CONFIGURE_ARGS+=	--disable-ntl
+.endif
+
 post-patch:
 	@${GREP} -Rl --null /bin/bash ${COCOALIB-GIAC} | ${XARGS} -0 \
 		${REINPLACE_CMD} -e 's|/bin/bash|/usr/bin/env bash|'
 	@${REINPLACE_CMD} -e 's|/usr/bin|${LOCALBASE}/bin|' \
 		${WRKSRC}/xcas.applications ${WRKSRC}/xcas.desktop
+.if ${OSVERSION} >= 1000000
+	@${REINPLACE_CMD} -e 's|friend class Fl_Group;|friend class Fl_Group;friend class Fl_X;|' \
+		${FLTKDEV-GIAC}/FL/Fl_Widget.H
+.endif
 
 pre-configure:
 	cd ${COCOALIB-GIAC} && \
-	./configure --with-libgmp=${LOCALBASE}/lib/libgmp.a && \
+	./configure --with-libgmp=${LOCALBASE}/lib/libgmp.a --with-cxx=${CXX}&& \
 	${GMAKE} library && \
 	cd ${FLTKDEV-GIAC} && \
 	./configure --prefix=${FLTKDEV-GIAC} \
 	&& ${MAKE}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Matthew Seaman freebsd_committer 2014-02-02 22:31:32 UTC
State Changed
From-To: open->closed

Committed, thanks!